<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { ref } from 'vue'
import { VForm } from 'vuetify/components'

const authStore = useAuthStore()
const form = ref(false)
const email = ref('')
const password = ref('')
const refform = ref<VForm | null>(null)
const required = (v: string) => {
  return !!v || 'fail is required'
}
const onSubmit = async () => {
  const { valid } = await refform.value!.validate()
  if (!valid) return
  authStore.login(email.value, password.value)
}
</script>
<template>
  <v-sheet class="bg-deep-purple pa-12" rounded>
    <v-card class="mx-auto px-6 py-8" max-width="344">
      <v-form ref="refform" v-model="form" @submit.prevent="onSubmit">
        <v-text-field v-model="email" :rules="[required]" class="mb-2" clearable label="Email"></v-text-field>

        <v-text-field v-model="password" :rules="[required]" clearable label="Password"
          placeholder="Enter your password"></v-text-field>

        <br />

        <v-btn :disabled="!form" block color="success" size="large" type="submit" variant="elevated">
          Sign In
        </v-btn>
      </v-form>
    </v-card>
  </v-sheet>
</template>
